org.encog.ml.bayesian.bif

## Enum FileSection

- java.lang.Object
- - java.lang.Enum<FileSection>
  - - org.encog.ml.bayesian.bif.FileSection

- All Implemented Interfaces:
    Serializable, Comparable<FileSection>

      public enum FileSection
      extends Enum<FileSection>

  The section of the BIF file that we are currently in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIF` The BIF header.
    `DEFINITION` A definition.
    `NETWORK` The network specs.
    `VARIABLE` A variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileSection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileSection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIF

          public static final FileSection BIF

      The BIF header.

    - #### NETWORK

          public static final FileSection NETWORK

      The network specs.

    - #### VARIABLE

          public static final FileSection VARIABLE

      A variable.

    - #### DEFINITION

          public static final FileSection DEFINITION

      A definition.

  - ### Method Detail

    - #### values

          public static FileSection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileSection c : FileSection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileSection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.